Bug 1466783 - [3.6] NO_PROXY of etcd IPs need to be configured in master-controllers
Summary: [3.6] NO_PROXY of etcd IPs need to be configured in master-controllers
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 3.5.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.6.z
Assignee: Tim Bielawa
QA Contact: Gan Huang
URL:
Whiteboard:
Keywords: NeedsTestCase
Depends On: 1557156 1458660
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-30 12:45 UTC by Scott Dodson
Modified: 2018-03-16 06:33 UTC (History)
17 users (show)

(edit)
Cause: Customer reports that masters in an HA environment with a configured proxy can not reach etcd hosts by DNS

Consequence: Openshift service will emit error "etcd cluster is unavailable or misconfigured"

Fix: Openshift Ansible installer updated to collect IP of all etcd hosts and insert them into the NO_PROXY settings for the HA masters

Result: Masters can now connect to etcd instances in HA environments with configured proxies
Clone Of: 1458660
(edit)
Last Closed: 2017-09-05 17:42:58 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:2639 normal SHIPPED_LIVE OpenShift Container Platform atomic-openshift-utils bug fix and enhancement 2017-09-05 21:42:36 UTC
Github openshift openshift-ansible issues 4490 None None None 2017-06-30 12:45 UTC
Red Hat Knowledge Base (Solution) 3158961 None None None 2017-08-22 03:24 UTC

Comment 1 Tim Bielawa 2017-07-10 19:38:18 UTC
I've been looking at this one today. Attempting to set up an environment to test in which enables the atomic-openshift-master-controllers service. No branch yet for the work.

Comment 2 Tim Bielawa 2017-07-21 14:36:03 UTC
Working on this issue in here: https://github.com/openshift/openshift-ansible/pull/4806

Testing initiated just now.

Comment 6 Scott Dodson 2017-07-31 13:00:58 UTC
Moving to POST until we merge this into release-3.6 branch

Comment 7 Scott Dodson 2017-08-14 15:08:23 UTC
https://github.com/openshift/openshift-ansible/pull/5081 backport to release-3.6 branch

Comment 9 Gan Huang 2017-08-24 10:27:56 UTC
Verified with openshift-ansible-3.6.173.0.7-2.git.0.340aa2c.el7.noarch.rpm

The internal ips of etcd hosts are added correctly by default to NO_PROXY in /etc/sysconfig/atomic-openshift-master-controllers, and builds and deployments work well.

Comment 11 errata-xmlrpc 2017-09-05 17:42:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2017:2639


Note You need to log in before you can comment on or make changes to this bug.